## tio 2.5

=== meson_options.txt ===
option('bashcompletiondir',
       type : 'string',
       description : 'Directory for bash completion scripts ["no" disables]')

## tio 1.20

=== debian/changelog ===
tio (1.20-1) unstable; urgency=medium

  * Initial release (Closes: #821836)

 -- Jakob Haufe <sur5r@sur5r.net>  Mon, 27 Jun 2016 17:10:58 +0200

=== debian/control ===
Source: tio
Section: comm
Priority: optional
Maintainer: Jakob Haufe <sur5r@sur5r.net>
Build-Depends: debhelper (>=9), pkg-config, bash-completion, dh-autoreconf
Standards-Version: 3.9.8
Homepage: http://tio.github.io/
Vcs-Git: https://git.sur5r.net/tio/
Vcs-Browser: https://git.sur5r.net/?p=tio;a=summary

Package: tio
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: simple TTY terminal I/O application
 "tio" is a simple TTY terminal application which features a straightforward
 commandline interface to easily connect to TTY devices for basic input/output.
 .
 Besides that, it is able to automatically reconnect to TTY devices which
 disappear intermittently, e.g. USB-to-serial converters.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@  --with autoreconf --with bash-completion

## tio 1.25

=== debian/changelog ===
tio (1.25-3) unstable; urgency=medium

  * Update build dependencies for DH 10
  * Change URLs to https in d/copyright

 -- Jakob Haufe <sur5r@sur5r.net>  Sat, 21 Oct 2017 17:49:46 +0200

tio (1.25-2) unstable; urgency=medium

  * Update debhelper compatibility level to 10
    - Drop "--with autoreconf" as it's enabled by default

 -- Jakob Haufe <sur5r@sur5r.net>  Sat, 21 Oct 2017 13:47:21 +0200

tio (1.25-1) unstable; urgency=medium

  * New upstream version (Closes: #876387)
  * Bump standards version (no changes needed)

 -- Jakob Haufe <sur5r@sur5r.net>  Sun, 08 Oct 2017 16:35:05 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: comm
 Priority: optional
 Maintainer: Jakob Haufe <sur5r@sur5r.net>
-Build-Depends: debhelper (>=9), pkg-config, bash-completion, dh-autoreconf
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>=10), pkg-config, bash-completion
+Standards-Version: 4.1.1
 Homepage: http://tio.github.io/
 Vcs-Git: https://git.sur5r.net/tio/
 Vcs-Browser: https://git.sur5r.net/?p=tio;a=summary

## tio 1.26

=== debian/changelog ===
tio (1.26-1) unstable; urgency=medium

  * New upstream version

 -- Jakob Haufe <sur5r@sur5r.net>  Wed, 08 Nov 2017 00:32:03 +0100

## tio 1.29

=== debian/changelog ===
tio (1.29-1) unstable; urgency=medium

  * New upstream version
  * Bump standards version (no changes needed)
  * Update debhelper compatibility level to 11
    - No changes needed

 -- Jakob Haufe <sur5r@sur5r.net>  Thu, 22 Feb 2018 22:04:49 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: comm
 Priority: optional
 Maintainer: Jakob Haufe <sur5r@sur5r.net>
-Build-Depends: debhelper (>=10), pkg-config, bash-completion
-Standards-Version: 4.1.1
+Build-Depends: debhelper (>=11), pkg-config, bash-completion
+Standards-Version: 4.1.3
 Homepage: http://tio.github.io/
 Vcs-Git: https://git.sur5r.net/tio/
 Vcs-Browser: https://git.sur5r.net/?p=tio;a=summary

=== debian/watch ===
version=3

opts="pgpsigurlmangle=s%$%.asc%" https://github.com/tio/tio/releases/ download/v(?:.*)/tio-(.*).tar.xz

## tio 1.30

=== debian/changelog ===
tio (1.30-1) unstable; urgency=medium

  * New upstream version
  * Bump standards version (no changes needed)

 -- Jakob Haufe <sur5r@sur5r.net>  Sat, 09 Jun 2018 14:38:11 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Jakob Haufe <sur5r@sur5r.net>
 Build-Depends: debhelper (>=11), pkg-config, bash-completion
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: http://tio.github.io/
 Vcs-Git: https://git.sur5r.net/tio/
 Vcs-Browser: https://git.sur5r.net/?p=tio;a=summary

## tio 1.31

=== debian/changelog ===
tio (1.31-1) unstable; urgency=medium

  * New upstream version
  * Bump standards version (no changes needed)

 -- Jakob Haufe <sur5r@sur5r.net>  Thu, 19 Jul 2018 19:36:16 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Jakob Haufe <sur5r@sur5r.net>
 Build-Depends: debhelper (>=11), pkg-config, bash-completion
-Standards-Version: 4.1.4
+Standards-Version: 4.1.5
 Homepage: http://tio.github.io/
 Vcs-Git: https://git.sur5r.net/tio/
 Vcs-Browser: https://git.sur5r.net/?p=tio;a=summary

## tio 1.32

=== debian/changelog ===
tio (1.32-1) unstable; urgency=medium

  * New upstream version
  * Bump standards version (no changes needed)
  * Update dates in d/copyright

 -- Jakob Haufe <sur5r@sur5r.net>  Sun, 04 Nov 2018 17:12:05 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Jakob Haufe <sur5r@sur5r.net>
 Build-Depends: debhelper (>=11), pkg-config, bash-completion
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Homepage: http://tio.github.io/
 Vcs-Git: https://git.sur5r.net/tio/
 Vcs-Browser: https://git.sur5r.net/?p=tio;a=summary

## tio 1.37

=== debian/changelog ===
tio (1.37-1) unstable; urgency=medium

  * New upstream version
  * Add R³: no
  * Update d/copyright
  * Bump standards version
  * wrap-and-sort
  * Update watchfile to version 4

 -- Jakob Haufe <sur5r@debian.org>  Sun, 17 Apr 2022 17:55:02 +0000

=== debian/control ===
Source: tio
Section: comm
Priority: optional
Maintainer: Jakob Haufe <sur5r@debian.org>
Build-Depends: bash-completion,
               debhelper-compat (= 13),
               libinih-dev,
               meson,
               pkg-config
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: http://tio.github.io/
Vcs-Git: https://git.sur5r.net/tio/
Vcs-Browser: https://git.sur5r.net/?p=tio;a=summary

Package: tio
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: simple TTY terminal I/O application
 "tio" is a simple TTY terminal application which features a straightforward
 commandline interface to easily connect to TTY devices for basic input/output.
 .
 Besides that, it is able to automatically reconnect to TTY devices which
 disappear intermittently, e.g. USB-to-serial converters.

## tio 1.38

=== debian/changelog ===
tio (1.38-1) unstable; urgency=medium

  * New upstream version 1.38

 -- Jakob Haufe <sur5r@debian.org>  Mon, 06 Jun 2022 21:30:59 +0000

## tio 1.40

=== debian/changelog ===
tio (1.40-1) unstable; urgency=medium

  * New upstream version 1.40

 -- Jakob Haufe <sur5r@debian.org>  Sun, 19 Jun 2022 01:31:09 +0200

## tio 1.42

=== debian/changelog ===
tio (1.42-1) unstable; urgency=medium

  * New upstream version 1.42

 -- Jakob Haufe <sur5r@debian.org>  Tue, 05 Jul 2022 17:12:25 +0200

=== debian/watch ===
version=4

opts="pgpsigurlmangle=s%$%.asc%" https://github.com/tio/tio/releases/ download/v(?:.*)/tio-(.*).tar.xz

## tio 1.43

=== debian/changelog ===
tio (1.43-1) unstable; urgency=medium

  * New upstream version 1.43

 -- Jakob Haufe <sur5r@debian.org>  Sun, 10 Jul 2022 14:01:03 +0000

## tio 1.47

=== debian/changelog ===
tio (1.47-1) unstable; urgency=medium

  * New upstream version 1.47

 -- Jakob Haufe <sur5r@debian.org>  Sat, 20 Aug 2022 16:35:32 +0000

## tio 2.2

=== debian/changelog ===
tio (2.2-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Jakob Haufe <sur5r@debian.org>  Thu, 27 Oct 2022 16:10:22 +0200

tio (2.2-1) unstable; urgency=medium

  * Switch watchfile to Github API
  * New upstream version 2.2

 -- Jakob Haufe <sur5r@debian.org>  Sun, 23 Oct 2022 21:14:48 +0200

## tio 2.3

=== debian/changelog ===
tio (2.3-1) unstable; urgency=medium

  * New upstream version 2.3

 -- Jakob Haufe <sur5r@debian.org>  Fri, 04 Nov 2022 22:21:42 +0100

## tio 2.4

=== debian/changelog ===
tio (2.4-1) unstable; urgency=medium

  * New upstream version 2.4

 -- Jakob Haufe <sur5r@debian.org>  Fri, 16 Dec 2022 22:43:03 +0100

## tio 2.5

=== debian/changelog ===
tio (2.5-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Jakob Haufe <sur5r@debian.org>  Sun, 22 Jan 2023 16:43:34 +0100

tio (2.5-1) unstable; urgency=medium

  * New upstream version 2.5

 -- Jakob Haufe <sur5r@debian.org>  Wed, 28 Dec 2022 00:23:57 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@  --with bash-completion

## tio 2.6

=== debian/changelog ===
tio (2.6-1) unstable; urgency=medium

  * New upstream version 2.6

 -- Jakob Haufe <sur5r@debian.org>  Fri, 16 Jun 2023 11:55:07 +0200

## tio 2.7

=== debian/changelog ===
tio (2.7-1) unstable; urgency=medium

  * New upstream version 2.7
  * Bump Standards-Version

 -- Jakob Haufe <sur5r@debian.org>  Fri, 08 Dec 2023 09:46:46 +0100

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
                libinih-dev,
                meson,
                pkg-config
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Homepage: http://tio.github.io/
-Vcs-Git: https://git.sur5r.net/tio/
-Vcs-Browser: https://git.sur5r.net/?p=tio;a=summary
+Homepage: https://tio.github.io/
+Vcs-Git: https://salsa.debian.org/sur5r/tio.git
+Vcs-Browser: https://salsa.debian.org/sur5r/tio
 
 Package: tio
 Architecture: any

## tio 2.8

=== debian/changelog ===
tio (2.8-1) unstable; urgency=medium

  * New upstream version 2.8

 -- Jakob Haufe <sur5r@debian.org>  Sun, 14 Apr 2024 18:52:53 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Build-Depends: bash-completion,
                debhelper-compat (= 13),
                libinih-dev,
+               liblua5.4-dev,
                meson,
-               pkg-config
+               pkgconf
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://tio.github.io/

## tio 3.2

=== debian/changelog ===
tio (3.2-1) unstable; urgency=medium

  * New upstream version 3.2

 -- Jakob Haufe <sur5r@debian.org>  Sat, 11 May 2024 09:53:51 +0200

=== debian/control ===
Source: tio
Section: comm
Priority: optional
Maintainer: Jakob Haufe <sur5r@debian.org>
Build-Depends: bash-completion,
               debhelper-compat (= 13),
               libglib2.0-dev,
               liblua5.4-dev,
               meson,
               pkgconf
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://tio.github.io/
Vcs-Git: https://salsa.debian.org/sur5r/tio.git
Vcs-Browser: https://salsa.debian.org/sur5r/tio

Package: tio
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: simple TTY terminal I/O application
 tio is a serial device tool which features a straightforward command-line and
 configuration file interface to easily connect to serial TTY devices for basic
 I/O operations.
 .
 It has support for X- and Y-modem file upload, RS-485, character  remapping
 (NL, CR, etc.), hexadecimal mode, timestamps, file logging, pipe and socket
 redirect support, and lua scripting support.
 .
 Besides that, it is able to automatically reconnect to TTY devices which
 disappear intermittently, e.g. USB-to-serial converters.

## tio 3.3

=== debian/changelog ===
tio (3.3-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Jakob Haufe <sur5r@debian.org>  Sun, 02 Jun 2024 18:15:30 +0200

tio (3.3-1) unstable; urgency=medium

  * New upstream version 3.3

 -- Jakob Haufe <sur5r@debian.org>  Mon, 27 May 2024 20:08:43 +0200

tio (2.7-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Jakob Haufe <sur5r@debian.org>  Sun, 11 Feb 2024 13:17:51 +0100

## tio 3.4

=== meson_options.txt ===
option('bashcompletiondir',
       type : 'string',
       description : 'Directory for bash completion scripts ["no" disables]')
option('install_man_pages',
       type : 'boolean', value: true,
       description : 'Install man pages')

=== debian/changelog ===
tio (3.4-1) unstable; urgency=medium

  * New upstream version 3.4

 -- Jakob Haufe <sur5r@debian.org>  Sat, 15 Jun 2024 19:09:20 +0200

## tio 3.6

=== debian/changelog ===
tio (3.6-1) unstable; urgency=medium

  * New upstream version 3.6

 -- Jakob Haufe <sur5r@debian.org>  Thu, 25 Jul 2024 22:47:13 +0200

## tio 3.7

=== debian/changelog ===
tio (3.7-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Jakob Haufe <sur5r@debian.org>  Sat, 14 Sep 2024 18:20:48 +0200

tio (3.7-1) unstable; urgency=medium

  * New upstream version 3.7

 -- Jakob Haufe <sur5r@debian.org>  Sat, 31 Aug 2024 17:38:01 +0200

## tio 3.8

=== debian/changelog ===
tio (3.8-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Jakob Haufe <sur5r@debian.org>  Fri, 21 Mar 2025 19:03:42 +0100

tio (3.8-1) unstable; urgency=medium

  * New upstream version 3.8

 -- Jakob Haufe <sur5r@debian.org>  Sun, 01 Dec 2024 14:47:22 +0100

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
  .
  It has support for X- and Y-modem file upload, RS-485, character  remapping
  (NL, CR, etc.), hexadecimal mode, timestamps, file logging, pipe and socket
- redirect support, and lua scripting support.
+ redirect support, and Lua scripting support.
  .
  Besides that, it is able to automatically reconnect to TTY devices which
  disappear intermittently, e.g. USB-to-serial converters.

## tio 3.9

=== debian/changelog ===
tio (3.9-1) unstable; urgency=medium

  * New upstream version 3.9
  * Drop d/patches: Applied upstream
  * Update d/copyright

 -- Jakob Haufe <sur5r@debian.org>  Mon, 14 Apr 2025 17:30:12 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: comm
 Priority: optional
 Maintainer: Jakob Haufe <sur5r@debian.org>
-Build-Depends: bash-completion,
-               debhelper-compat (= 13),
-               libglib2.0-dev,
-               liblua5.4-dev,
-               meson,
-               pkgconf
-Standards-Version: 4.7.0
+Build-Depends: debhelper-compat (= 13),
+               bash-completion,
+Build-Depends-Arch: libglib2.0-dev,
+                    liblua5.4-dev,
+                    meson,
+                    pkgconf,
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://tio.github.io/
 Vcs-Git: https://salsa.debian.org/sur5r/tio.git
@@ -16,7 +16,8 @@
 
 Package: tio
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: simple TTY terminal I/O application
  tio is a serial device tool which features a straightforward command-line and
  configuration file interface to easily connect to serial TTY devices for basic

=== debian/watch ===
version=4

opts="searchmode=plain,pgpsigurlmangle=s%$%.asc%" \
 https://api.github.com/repos/tio/@PACKAGE@/releases \
 https://github.com/tio/@PACKAGE@/releases/download/v(?:\d[\d.]*)/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
